# Uses of Class
org.jmol.modelset.Text

Packages that use Text
Package
Description
org.jmol.modelset
org.jmol.render
org.jmol.shape

## Uses of Text in org.jmol.modelset

Fields in org.jmol.modelset declared as Text
Modifier and Type
Field
Description
`Text`
Measurement.`text`
`Text`
MeasurementData.`text`
Methods in org.jmol.modelset that return Text
Modifier and Type
Method
Description
`static Text`
Text.`newEcho(Viewer vwr, Font font, String target, short colix, int valign, int align, float scalePixelsPerMicron)`
`static Text`
Text.`newLabel(Viewer vwr, Font font, String text, short colix, short bgcolix, int align, float scalePixelsPerMicron)`
`static Text`
Text.`newMeasure(Viewer vwr, Font font, short colix)`
Methods in org.jmol.modelset with parameters of type Text
Modifier and Type
Method
Description
`MeasurementData`
MeasurementData.`set(int tokAction, Map<String,Integer> htMin, RadiusData radiusData, String property, String strFormat, String units, TickInfo tickInfo, boolean mustBeConnected, boolean mustNotBeConnected, Boolean intramolecular, boolean isAll, int mad, short colix, Text text, float value, BS bsSelected)`

## Uses of Text in org.jmol.render

Methods in org.jmol.render that return Text
Modifier and Type
Method
Description
`protected Text`
LabelsRenderer.`renderLabelOrMeasure(Text text, String label)`
Methods in org.jmol.render with parameters of type Text
Modifier and Type
Method
Description
`protected Text`
LabelsRenderer.`renderLabelOrMeasure(Text text, String label)`
`protected boolean`
LabelsRenderer.`renderText(Text text, P3i pTemp, short pointerColix, int mode)`

## Uses of Text in org.jmol.shape

Fields in org.jmol.shape declared as Text
Modifier and Type
Field
Description
`Text`
Hover.`hoverText`
`Text`
Echo.`scaleObject`
Fields in org.jmol.shape with type parameters of type Text
Modifier and Type
Field
Description
`Map<String,Text>`
TextShape.`objects`
Methods in org.jmol.shape that return Text
Modifier and Type
Method
Description
`Text`
Labels.`getLabel(int i)`
Methods in org.jmol.shape with parameters of type Text
Modifier and Type
Method
Description
`void`
Labels.`putLabel(int i, Text text)`